import { type Plugin } from 'vite';
import { type Configuration } from './config';
export { type Configuration, defineConfig, resolveViteConfig, withExternalBuiltins, } from './config';
export declare function build(config: Configuration): Promise<import("rollup").RollupOutput | import("rollup").RollupOutput[] | import("rollup").RollupWatcher>;
export default function electron(config: Configuration | Configuration[]): Plugin[];
/**
 * Electron App startup function.
 * It will mount the Electron App child-process to `process.electronApp`.
 * @param argv default value `['.', '--no-sandbox']`
 */
export declare function startup(argv?: string[]): Promise<void>;
export declare namespace startup {
    var hookProcessExit: boolean;
    var exit: () => void;
}
